%bcond vendored 1

Summary:	Linux client for the noip.com dynamic DNS service
Name:		noip
Version:	3.3.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Networking/Other
Url:		https://www.noip.com
Source0:	https://www.noip.com/download/linux/latest?/%{name}-duc_%{version}.tar.gz
# $ rm -rf .cargo/ Cargo.lock
# $ cargo vendor --versioned-dirs
# $ tarname=$(basename $(pwd))-vendor.tar.xz
# $ tar -cJf ${tarname} vendor/
Source1:	noip-duc_%{version}-vendor.tar.xz
Patch:		noip-duc-config-location.patch
BuildRequires:	cargo-rpm-macros >= 24

%description
NoIP.com Dynamic DNS update client. When configured correctly, the client will
check your IP address at a given time interval checking to see if your IP has
changed. If your IP address has changed it will notify NoIP DNS servers and
update the IP corresponding to your NoIP/NoIP+ hostname.

%prep
%autosetup -p1 -n %{name}-duc_%{version} %{?with_vendored:-a1}
%if %{with vendored}
rm -rf Cargo.lock
%cargo_prep -v vendor
%else
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
%endif

%build
%cargo_build

%install
install -Dpm755 target/release/noip-duc %{buildroot}%{_bindir}/noip-duc
install -Dpm644 debian/service %{buildroot}%{_unitdir}/noip-duc.service

cat > noip-duc.conf <<EOF
NOIP_USERNAME=
NOIP_PASSWORD=

## Comma separated list of hostnames and group names
NOIP_HOSTNAMES=

## Less common options
#NOIP_CHECK_INTERVAL=5m
#NOIP_EXEC_ON_CHANGE=
#NOIP_HTTP_TIMEOUT=10s
## ip methods: aws, http, http-port-8245, static:<IP>
#NOIP_IP_METHOD=dns,http,http-port-8245
#NOIP_LOG_LEVEL=info
EOF

install -Dpm0600 noip-duc.conf %{buildroot}%{_sysconfdir}/sysconfig/noip-duc

cat > README.install.urpmi << EOF
Please edit /etc/sysconfig/noip-duc file
with your noip account information.
EOF

%post
%systemd_post noip-duc.service

%preun
%systemd_preun noip-duc.service

%postun
%systemd_postun_with_restart noip-duc.service

%files
%doc CHANGELOG.md INSTALL.md README.md README.install.urpmi
%license LICENSE
%{_bindir}/noip-duc
%{_unitdir}/noip-duc.service
%config(noreplace) %{_sysconfdir}/sysconfig/noip-duc


%changelog
* Sat Jun 07 2025 wally <wally> 3.3.0-1.mga10
+ Revision: 2189818
- new version 3.3.0 (mga#34358)
- build using vendored rust crates
- use systemd service and default configuration from upstream
- provide noip-duc

* Fri Mar 18 2022 umeabot <umeabot> 2.1.9-6.mga9
+ Revision: 1797761
- Mageia 9 Mass Rebuild

* Wed Feb 19 2020 umeabot <umeabot> 2.1.9-5.mga8
+ Revision: 1543177
- Mageia 8 Mass Rebuild

* Thu Jan 16 2020 dtux <dtux> 2.1.9-4.mga8
+ Revision: 1478196
- added patch to correct an error on config path
- modified Makefile to take in count config path
- corrected config file path in noip2.service
- corrected spec file to follow these changes

* Sun Sep 23 2018 umeabot <umeabot> 2.1.9-3.mga7
+ Revision: 1299781
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 2.1.9-2.mga6
+ Revision: 951340
- Mageia 6 Mass Rebuild

* Sun Dec 21 2014 matteo <matteo> 2.1.9-1.mga5
+ Revision: 804686
- added unit file for systemd (noip2.service)
- set proper confdir
- imported package noip

